{"components":{"schemas":{"Address":{"description":"Address","properties":{"address":{"description":"Street name, postal box and similar","type":"string"},"addressType":{"description":"Type of address","enum":["POSTAL","RESIDENTIAL"],"type":"string"},"city":{"description":"City","type":"string"},"coAddress":{"description":"C/o address","type":"string"},"zipCode":{"description":"Zip Code","type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"description":"Error name","type":"string"},"message":{"description":"Description of the request error","type":"string"}},"type":"object"},"RealProperty":{"description":"Legal/registered real property","properties":{"ownerTypes":{"description":"Type of ownership for the real property","items":{"description":"Type of ownership for the real property","enum":["LAGFAREN_AGARE","TAXERAD_AGARE","TOMTRATTSINNEHAVARE"],"type":"string"},"type":"array"},"propertyDesignation":{"description":"Property designation (fastighetsbeteckning)","type":"string"},"propertyId":{"description":"Property id in UUID format","type":"string"}},"type":"object"},"RealPropertyOwner":{"description":"Legal owner","properties":{"changeDate":{"description":"Change date (Date in ISO 8601 standard)","type":"string"},"id":{"description":"Id of owner. Swedish company registration number","type":"string"},"realProperties":{"description":"List of owned properties","items":{"$ref":"#/components/schemas/RealProperty"},"type":"array"}},"required":["changeDate","id","realProperties"],"type":"object"},"RealPropertyOwnerResult":{"description":"List of legal ownerships","properties":{"records":{"description":"found properties","items":{"$ref":"#/components/schemas/RealPropertyOwner"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"description":"Error name","type":"string"},"message":{"description":"Description of the request error","type":"string"}},"type":"object"},"TaxedPropertyOwner":{"description":"Taxed property owner","properties":{"addresses":{"description":"List of owner addresses","items":{"$ref":"#/components/schemas/Address"},"type":"array"},"changeDate":{"description":"Change date (Date in ISO 8601 standard)","type":"string"},"id":{"description":"Id of owner. Swedish company registration number or personal number","type":"string"},"informationYear":{"description":"Information year (YYYY)","type":"string"},"name":{"description":"Name of owner","type":"string"},"numberOfProperties":{"description":"Total number of real properties","format":"int32","type":"integer"},"realProperties":{"description":"List of owned properties","items":{"$ref":"#/components/schemas/TaxedRealProperty"},"type":"array"}},"required":["changeDate","id"],"type":"object"},"TaxedRealProperty":{"description":"Taxed real property","properties":{"countyName":{"description":"County","type":"string"},"municipalityCode":{"description":"Municipality name code","type":"string"},"municipalityName":{"description":"Municipality name","type":"string"},"ownedPercentage":{"description":"Owned percentage of property","type":"number"},"ownerTypes":{"description":"Type of ownership for the real property - possible values: `[\"TAXERAD_AGARE\"]`","items":{"description":"Type of ownership for the real property - possible values: `[\"TAXERAD_AGARE\"]`","enum":["LAGFAREN_AGARE","TAXERAD_AGARE","TOMTRATTSINNEHAVARE"],"type":"string"},"type":"array"},"propertyDesignation":{"description":"Property designation (fastighetsbeteckning)","type":"string"},"propertyId":{"description":"Property id in UUID format","type":"string"}},"type":"object"},"TaxedRealPropertyOwnerResult":{"description":"List of taxed ownerships","properties":{"records":{"description":"found properties","items":{"$ref":"#/components/schemas/TaxedPropertyOwner"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"List and fetch property information and property ownership\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Property Information","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/properties-icon.svg"}},"openapi":"3.0.1","paths":{"/company/taxed_owner/{companyId}":{"get":{"description":"List real properties by taxed owner (company)","operationId":"viewTaxedCompanyOwnership","parameters":[{"description":"Id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxedRealPropertyOwnerResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"List taxed ownership - company","tags":["PropertyInformation"]}},"/company/{companyId}":{"get":{"description":"List all real properties by owner (company). Includes leaseholds and registered as well as taxed ownership","operationId":"viewCompanyOwnership","parameters":[{"description":"Id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RealPropertyOwnerResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"List all ownership","tags":["PropertyInformation"]}},"/person/taxed_owner":{"get":{"description":"List real properties by taxed owner (person)","operationId":"viewTaxedOwnership","parameters":[{"description":"Id of person","in":"query","name":"personId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxedRealPropertyOwnerResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"List taxed ownership - person","tags":["PropertyInformation"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/property/information/1.0"}],"x-category":"property","x-countries":["se"],"x-id":"PropertyInformation"}